# Uses of Class
org.apache.sling.scripting.sightly.impl.engine.ExtensionRegistryService

Packages that use ExtensionRegistryService
Package
Description
org.apache.sling.scripting.sightly.impl.engine
org.apache.sling.scripting.sightly.impl.engine.runtime

## Uses of ExtensionRegistryService in org.apache.sling.scripting.sightly.impl.engine

Methods in org.apache.sling.scripting.sightly.impl.engine that return ExtensionRegistryService
Modifier and Type
Method
Description
`ExtensionRegistryService`
SightlyScriptEngine.`getExtensionRegistryService()`

## Uses of ExtensionRegistryService in org.apache.sling.scripting.sightly.impl.engine.runtime

Constructors in org.apache.sling.scripting.sightly.impl.engine.runtime with parameters of type ExtensionRegistryService
Modifier
Constructor
Description
``
`RenderContextImpl(SightlyEngineConfiguration configuration, ExtensionRegistryService extensionRegistryService, ScriptContext scriptContext)`